<?php



class TblscormcmiobjectiveMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TblscormcmiobjectiveMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TblscormcmiobjectivePeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TblscormcmiobjectivePeer::TABLE_NAME);
		$tMap->setPhpName('Tblscormcmiobjective');
		$tMap->setClassname('Tblscormcmiobjective');

		$tMap->setUseIdGenerator(true);

		$tMap->addColumn('CMI_INTERACTION_ID', 'CmiInteractionId', 'INTEGER', false, null);

		$tMap->addColumn('CMI_NODE_ID', 'CmiNodeId', 'INTEGER', false, null);

		$tMap->addPrimaryKey('CMI_OBJECTIVE_ID', 'CmiObjectiveId', 'INTEGER', true, null);

		$tMap->addColumn('COMPLETION_STATUS', 'CompletionStatus', 'VARCHAR', false, 32);

		$tMap->addColumn('DESCRIPTION', 'Description', 'LONGVARCHAR', false, null);

		$tMap->addColumn('ID', 'Id', 'VARCHAR', false, 4000);

		$tMap->addColumn('C_MAX', 'CMax', 'DOUBLE', false, null);

		$tMap->addColumn('C_MIN', 'CMin', 'DOUBLE', false, null);

		$tMap->addColumn('C_RAW', 'CRaw', 'DOUBLE', false, null);

		$tMap->addColumn('SCALED', 'Scaled', 'DOUBLE', false, null);

		$tMap->addColumn('PROGRESS_MEASURE', 'ProgressMeasure', 'DOUBLE', false, null);

		$tMap->addColumn('SUCCESS_STATUS', 'SuccessStatus', 'VARCHAR', false, 32);

		$tMap->addColumn('SCOPE', 'Scope', 'VARCHAR', false, 16);

	} 
} 